// ----------------------------------------------------------------------------
// CGPUmesh_D3D_types.h
//
// The goal of this template class is to build a template mechanism
// above the D3D type definition.
// The run time overhead is null as everything is resolved at compile time.
//
//
//                                                    (c) Sylvain Lefebvre 2003
// ----------------------------------------------------------------------------

#ifndef __GPUMESH_D3D_TYPES__
#define __GPUMESH_D3D_TYPES__

namespace GPUmesh {

template <typename T> struct D3DIndexTypes;

template <> struct D3DIndexTypes<int>
{
  enum    {d3d_define = D3DFMT_INDEX32};
};

template <> struct D3DIndexTypes<unsigned int>
{
  enum    {d3d_define = D3DFMT_INDEX32};
};

template <> struct D3DIndexTypes<short>
{
  enum    {d3d_define = D3DFMT_INDEX16};
};

template <> struct D3DIndexTypes<unsigned short>
{
  enum    {d3d_define = D3DFMT_INDEX16};
};

} // namespace GPUmesh

#endif
